(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
	typeof define === 'function' && define.amd ? define(factory) :
	(global.VueLoaderTest = factory());
}(this, (function () { 'use strict';

var loaderUtils = require('loader-utils');
var path = require('path');

function VueLoaderTest(content, map) {
	var query = this.query && this.query.charAt(0) === '?' ? loaderUtils.parseQuery(this.query) : {};
	var name = query.name || 'default';

	content = content.trim();
	if (content.substr(0, 8) === '<script>') content = content.substr(8);
	if (content.substr(-9) === '</script>') content = content.substr(0, content.length - 9);

	var src = new Buffer(content, 'utf8').toString('hex');
	var file = path.join(this.resourcePath, 'test-' + name + '.js');

	var newContent = '\nmodule.exports = function(Component) {\n    var test = require(' + JSON.stringify("!!" + path.resolve(__dirname, "test.js")) + ');\n    test.registerTest(function() {\n        require("virtual-file-loader?src=' + src + '&file=' + file + '!");\n    });\n}';

	this.callback(null, newContent, map);
}

return VueLoaderTest;

})));
